Bug 428031 - cloneErrata doesn't actually add packages
cloneErrata doesn't actually add packages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
510
All Linux
low Severity low
: ---
: ---
Assigned To: Justin Sherrill
Brandon Perkins
:
Depends On:
Blocks: 248642
  Show dependency treegraph
 
Reported: 2008-01-08 15:10 EST by Justin Sherrill
Modified: 2008-04-02 16:59 EDT (History)
0 users

See Also:
Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 16:59:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2008-01-08 15:10:32 EST
the software.channel.cloneErrata doesn't actually add packages to the channels
when they are cloned.
Comment 1 Justin Sherrill 2008-01-17 10:07:36 EST
fixed in rev 135809.
Comment 2 Brandon Perkins 2008-01-30 18:17:51 EST
Fails QA.  My test:

./test_errata.clone_errata.pl --host rhndev5.z900.redhat.com --user bdperkin
--password redhat --channel apiia32channelsoftware1201055234520 --advisoryid 
RHBA-2008:0026

The errata was cloned as advisory_name = CLA-2008:0026, but there were no
packages in the channel.
Comment 3 Justin Sherrill 2008-01-31 09:36:52 EST
Brandon, 

Were there any packages in the channel beforehand?  

I have heard many customer complaints in the past couple of years about errata
cloning methods in satellite pushing packages into channels that weren't in
there before. (when i rewrote the channel management errata add page I fixed
this!)  

So errata should only be added to the channel if they have a package of the same
name with the same arch already in the channel.   
Comment 4 Justin Sherrill 2008-01-31 16:22:30 EST
Test Plan:

Create a custom channel for RHEL 4 i386.  Clone a kernel errata into the channel.

Expected results:
  Only the "kernel" package from the errata should be published to the channel.
 Kernel-smp (or any other package) should not.
Comment 5 Brandon Perkins 2008-02-02 00:53:42 EST
Verified.
Comment 6 Preethi Thomas 2008-03-20 13:23:42 EDT
release pending
Comment 7 Brandon Perkins 2008-04-02 16:59:35 EDT
API call Enhancements for 5.1 Sat GA so Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.